> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /indeed/jobs

> Get Indeed job posting details by job key

**Price:** 20 credits

**⚠️ Common errors:** 412: Job posting not found or no longer available



## OpenAPI

````yaml /openapi/jobs.json post /api/indeed/jobs
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/indeed/jobs:
    post:
      tags:
        - /indeed
      summary: /indeed/jobs
      description: |-
        Get Indeed job posting details by job key

        **Price:** 20 credits

        **⚠️ Common errors:** 412: Job posting not found or no longer available
      operationId: __api_indeed_jobs_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IndeedJobPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/IndeedJob'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    IndeedJobPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        job:
          type: string
          minLength: 1
      type: object
      required:
        - job
    IndeedJob:
      properties:
        '@type':
          type: string
          default: IndeedJob
        id:
          type: string
        url:
          type: string
        description_text:
          anyOf:
            - type: string
            - type: 'null'
        company:
          anyOf:
            - $ref: '#/components/schemas/IndeedJobCompany'
            - type: 'null'
        location:
          anyOf:
            - $ref: '#/components/schemas/IndeedJobLocation'
            - type: 'null'
        salary:
          anyOf:
            - $ref: '#/components/schemas/IndeedJobSalary'
            - type: 'null'
        employment_types:
          items:
            type: string
          type: array
          default: []
        job_types:
          items:
            type: string
          type: array
          default: []
        benefits:
          items:
            type: string
          type: array
          default: []
        is_remote:
          anyOf:
            - type: boolean
            - type: 'null'
        remote_work:
          anyOf:
            - $ref: '#/components/schemas/IndeedRemoteWork'
            - type: 'null'
        direct_apply:
          anyOf:
            - type: boolean
            - type: 'null'
        source:
          anyOf:
            - type: string
            - type: 'null'
        posted_age:
          anyOf:
            - type: string
            - type: 'null'
        posted_at:
          anyOf:
            - type: string
            - type: 'null'
        valid_through_at:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - title
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    IndeedJobCompany:
      properties:
        '@type':
          type: string
          default: IndeedJobCompany
        name:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        cover:
          anyOf:
            - type: string
            - type: 'null'
        profile_url:
          anyOf:
            - type: string
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        review_count:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    IndeedJobLocation:
      properties:
        '@type':
          type: string
          default: IndeedJobLocation
        city:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        postal_code:
          anyOf:
            - type: string
            - type: 'null'
        formatted:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    IndeedJobSalary:
      properties:
        '@type':
          type: string
          default: IndeedJobSalary
        salary_min:
          anyOf:
            - type: number
            - type: 'null'
        salary_max:
          anyOf:
            - type: number
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        unit:
          anyOf:
            - type: string
            - type: 'null'
        text:
          anyOf:
            - type: string
            - type: 'null'
        source:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    IndeedRemoteWork:
      properties:
        '@type':
          type: string
          default: IndeedRemoteWork
        text:
          anyOf:
            - type: string
            - type: 'null'
        type:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````